Sanctions Türkiye
  1. Customers
Sanctions Türkiye
  • Health
    • Servis sağlık kontrolü
      GET
  • Auth
    • Kullanıcı girişi
      POST
    • Access token yenile
      POST
    • Aktif oturumu getir
      GET
  • Users
    • Kurum kullanıcılarını listele
      GET
    • Yeni kullanıcı oluştur
      POST
    • Kullanıcı bilgilerini güncelle
      PATCH
    • Kullanıcıyı pasife çek
      DELETE
  • API Keys
    • API anahtarlarını listele
      GET
    • Yeni API anahtarı oluştur
      POST
    • API anahtarını güncelle
      PATCH
    • API anahtarını sil
      DELETE
  • Customers
    • Müşterileri listele
      GET
    • Müşteri oluştur
      POST
    • Müşteri detay
      GET
    • Müşteri güncelle
      PATCH
    • Müşteriyi sil
      DELETE
  • Screenings
    • Screening kayıtlarını listele
      GET
    • Yeni screening başlat
      POST
    • Screening detayını getir
      GET
    • Screening kararını güncelle
      PATCH
  • Search
    • Yaptırım araması (GET)
      GET
    • Yaptırım araması (POST)
      POST
    • API anahtarı ile arama (GET)
      GET
    • API anahtarı ile arama (POST)
      POST
  • Search Logs
    • Arama loglarını listele
    • Arama logu detayı
  • API Key Logs
    • API key isteklerini listele
    • API key log detayı
  • Schemas
    • Schemas
      • ErrorResponse
      • AuthLoginRequest
      • AuthRefreshRequest
      • AuthSession
      • UserResponse
      • UserCreateRequest
      • UserUpdateRequest
      • ApiKeyResponse
      • ApiKeyCreateRequest
      • ApiKeyUpdateRequest
      • CustomerRequest
      • CustomerResponse
      • PaginatedCustomers
      • ScreeningHit
      • ScreeningRequest
      • ScreeningDecisionRequest
      • ScreeningResponse
      • PaginatedScreenings
      • SearchIdentifier
      • SearchQuery
      • EntityRecord
      • SanctionRecord
      • SearchResultItem
      • SearchResponse
      • SearchLogResponse
      • PaginatedSearchLogs
      • ApiKeyLogResponse
      • PaginatedApiKeyLogs
  1. Customers

Müşterileri listele

GET
/api/customers

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Responses

🟢200OK
application/json
Sayfalı liste
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.sanctions.tr/api/customers?page&pageSize&search&nationalId&passportNo' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "total": 0,
    "page": 0,
    "pageSize": 0,
    "results": [
        {
            "fullName": "string",
            "firstName": "string",
            "lastName": "string",
            "nationalId": "string",
            "passportNo": "string",
            "birthDate": "2019-08-24",
            "birthCountry": "string",
            "nationality": "string",
            "phone": "string",
            "email": "user@example.com",
            "address": "string",
            "id": "string",
            "riskScore": 0,
            "lastScreenedAt": "2019-08-24T14:15:22.123Z",
            "createdAt": "2019-08-24T14:15:22.123Z",
            "updatedAt": "2019-08-24T14:15:22.123Z"
        }
    ]
}
Modified at 2025-12-18 00:56:56
Previous
API anahtarını sil
Next
Müşteri oluştur
Built with